ChangeSet 1.1018.1.5, 2003/04/04 16:14:00-08:00, ahaas@airmail.net

[PATCH] USB: C99 initializers for drivers/usb files

Here are two patches that convert the files to use C99 initializers. The
patches are against current BK.


 drivers/usb/input/kbtab.c    |    2 +-
 drivers/usb/serial/keyspan.h |   26 +++++++++++++-------------
 2 files changed, 14 insertions(+), 14 deletions(-)


diff -Nru a/drivers/usb/input/kbtab.c b/drivers/usb/input/kbtab.c
--- a/drivers/usb/input/kbtab.c	Mon Apr  7 15:14:35 2003
+++ b/drivers/usb/input/kbtab.c	Mon Apr  7 15:14:35 2003
@@ -91,7 +91,7 @@
 }
 
 struct usb_device_id kbtab_ids[] = {
-	{ USB_DEVICE(USB_VENDOR_ID_KBGEAR, 0x1001), driver_info : 0 },
+	{ USB_DEVICE(USB_VENDOR_ID_KBGEAR, 0x1001), .driver_info = 0 },
 	{ }
 };
 
diff -Nru a/drivers/usb/serial/keyspan.h b/drivers/usb/serial/keyspan.h
--- a/drivers/usb/serial/keyspan.h	Mon Apr  7 15:14:35 2003
+++ b/drivers/usb/serial/keyspan.h	Mon Apr  7 15:14:35 2003
@@ -411,19 +411,19 @@
 };
 
 static const struct keyspan_device_details usa49wlc_device_details = {
-	product_id:		keyspan_usa49wlc_product_id,
-	msg_format:		msg_usa49,
-	num_ports:		4,
-	indat_endp_flip:	0,
-	outdat_endp_flip:	0,
-	indat_endpoints:	{0x81, 0x82, 0x83, 0x84},
-	outdat_endpoints:	{0x01, 0x02, 0x03, 0x04},
-	inack_endpoints:	{-1, -1, -1, -1},
-	outcont_endpoints:	{-1, -1, -1, -1},
-	instat_endpoint:	0x87,
-	glocont_endpoint:	0x07,
-	calculate_baud_rate:	keyspan_usa19w_calc_baud,
-	baudclk:		KEYSPAN_USA19W_BAUDCLK,
+	.product_id		= keyspan_usa49wlc_product_id,
+	.msg_format		= msg_usa49,
+	.num_ports		= 4,
+	.indat_endp_flip	= 0,
+	.outdat_endp_flip	= 0,
+	.indat_endpoints	= {0x81, 0x82, 0x83, 0x84},
+	.outdat_endpoints	= {0x01, 0x02, 0x03, 0x04},
+	.inack_endpoints	= {-1, -1, -1, -1},
+	.outcont_endpoints	= {-1, -1, -1, -1},
+	.instat_endpoint	= 0x87,
+	.glocont_endpoint	= 0x07,
+	.calculate_baud_rate	= keyspan_usa19w_calc_baud,
+	.baudclk		= KEYSPAN_USA19W_BAUDCLK,
 };
 
 static const struct keyspan_device_details *keyspan_devices[] = {
